<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('nilai_santris', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('santri_id'); // Definisikan kolom santri_id terlebih dahulu
            $table->foreign('santri_id')->references('id')->on('santris')->onDelete('cascade');
            $table->unsignedBigInteger('kelas_id');
            $table->unsignedBigInteger('mapel_id');
            $table->date('tanggal');
            $table->float('nilai')->default(0);
            $table->string('keterangan')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('nilai_santris');
    }
};
